AgentInvoiceAgentInvoice

List all clients

Returns all clients for the authenticated user, ordered alphabetically by name.

GET
/clients
AuthorizationBearer <token>

API key issued from your AgentInvoice account settings.

In: header

Query Parameters

limit?integer

Maximum number of results to return

Default100
Range1 <= value <= 200
offset?integer

Number of results to skip for pagination

Default0
Range0 <= value

Response Body

application/json

curl -X GET "https://app.agentinvoice.co/api/clients"
[
  {
    "id": 42,
    "name": "Acme Corp",
    "email": "billing@acme.com",
    "phone": "string",
    "company": "string",
    "addressLine1": "string",
    "addressLine2": "string",
    "city": "string",
    "state": "string",
    "postalCode": "string",
    "country": "string",
    "notes": "string",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  }
]